{
    local trace = {
        start = self.GetOrigin(),
        end = self.GetOrigin() - Vector(0, 0, 100),
        mask = Constants.FContents.CONTENTS_HITBOX|Constants.FContents.CONTENTS_SOLID|Constants.FContents.CONTENTS_MOVEABLE|Constants.FContents.CONTENTS_PLAYERCLIP|Constants.FContents.CONTENTS_WINDOW|Constants.FContents.CONTENTS_GRATE|Constants.FContents.CONTENTS_MONSTER,
        ignore = self
    };
    TraceLineEx(trace);
    local endpos = safeget(trace, "endpos", null);
    if (endpos)
        self.SetAbsOrigin(endpos);
}

startTime <- Time();
affectedPlayers <- {};

self.SetModelSimple("models/passtime/duffel_bags/duffel_red_open.mdl");
PrecacheSound(")items/powerup_pickup_regeneration.wav")
PrecacheSound(")ambient/medieval_flag.wav")
EmitSoundEx({
    sound_name = ")items/powerup_pickup_regeneration.wav",
    entity = self,
    volume = 1,
    sound_level = 90
});
EmitSoundEx({
    sound_name = ")ambient/medieval_flag.wav",
    entity = self,
    volume = 1,
    sound_level = 90
});

for (local x = -175; x <= 175; x += 50)
for (local y = -175; y <= 175; y += 50)
EntFireByHandle(SpawnEntityFromTable("info_particle_system",
{
    origin = self.GetOrigin() + Vector(x, y, 0),
    effect_name = "utaunt_cash_confetti",
    start_active = 1
}), "SetParent", "!activator", -1, self, self);

RunWithDelay(5, function()
{
    EmitSoundEx({
        sound_name = ")ambient/medieval_flag.wav",
        entity = self,
        flags = 4
        volume = 1,
        sound_level = 90
    });
    local ents = [];
    for (local ent = self.FirstMoveChild(); ent != null; ent = ent.NextMovePeer())
        ents.push(ent);
    foreach (ent in ents)
        ent.Kill();
    self.DisableDraw();
});

RunWithDelay(8, function()
{
    self.Kill();
});

AddTimer(0.2, function()
{
    if (Time() - startTime <= 5)
    {
        local myPos = self.GetCenter();
        foreach (player in GetAlivePlayers(self.GetTeam()))
            if ((myPos - player.GetCenter()).Length() < 325 && !(player in affectedPlayers))
            {
                for (local i =  0; i < 11; i++)
                {
                    local particle = SpawnEntityFromTable("info_particle_system",
                    {
                        origin = player.GetOrigin(),
                        effect_name = "utaunt_cash_confetti",
                        start_active = 1
                    });
                    EntFireByHandle(particle, "SetParent", "!activator", -1, player, player);
                    EntFireByHandle(particle, "Kill", "", 8 - (Time() - startTime), player, player);
                }
                affectedPlayers[player] <- 1;
            }
    }

    foreach(player,_ in affectedPlayers)
    {
        if (!IsValidPlayer(player))
            continue;
        local maxHP = player.GetMaxHealth();
        player.SetHealth(clampCeiling(maxHP, player.GetHealth() + maxHP * 0.05))
        player.AddCondEx(TF_COND_SPEED_BOOST, 0.5, self.GetOwner());
        player.AddCondEx(TF_COND_OFFENSEBUFF, 0.5, self.GetOwner());
    }
});